Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1072867 - Schema upgrade failure on 03_05_0050_event_notification_methods.sql
Summary: Schema upgrade failure on 03_05_0050_event_notification_methods.sql
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.4.0
Assignee: Eli Mesika
QA Contact: Tareq Alayan
URL:
Whiteboard: infra
Depends On: 1072549
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-03-05 10:18 UTC by Eli Mesika
Modified: 2016-02-10 19:14 UTC (History)
12 users (show)

Fixed In Version: av3
Doc Type: Bug Fix
Doc Text:
Clone Of: 1072549
Environment:
Last Closed:
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25376 None None None Never

Description Eli Mesika 2014-03-05 10:18:55 UTC
+++ This bug was initially created as a clone of Bug #1072549 +++

I've recently rebased to master and it looks like the
03_05_0050_event_notification_methods.sql script is failing on schema
upgrade.  Is this a bug or am I doing something wrong?  To upgrade I
did the normal proceedure with my development installation:

make install-dev ...
~/ovirt/bin/engine-setup

Got this result in the log file:

psql:/home/alitke/ovirt-**FILTERED**/share/ovirt-**FILTERED**/dbscripts/upgrade/03_05_0050_event_notification_methods.sql:10: ERROR:  column "notification_method" contains null values
FATAL: Cannot execute sql command: --file=/home/alitke/ovirt-**FILTERED**/share/ovirt-**FILTERED**/dbscripts/upgrade/03_05_0050_event_notification_methods.sql

2014-03-03 17:20:34 DEBUG otopi.context context._executeMethod:152 method exception
Traceback (most recent call last):
 File "/usr/lib/python2.7/site-packages/otopi/context.py", line 142, in _executeMethod
   method['method']()
 File "/home/alitke/ovirt-**FILTERED**/share/ovirt-**FILTERED**/setup/bin/../plugins/ovirt-**FILTERED**-setup/ovirt-**FILTERED**/db/schema.py", line 280, in _misc
   osetupcons.DBEnv.PGPASS_FILE
 File "/usr/lib/python2.7/site-packages/otopi/plugin.py", line 451, in execute
   command=args[0],
RuntimeError: Command '/home/alitke/ovirt-**FILTERED**/share/ovirt-**FILTERED**/dbscripts/schema.sh' failed to execute

Version-Release number of selected component (if applicable):
faafbcf89fb1b236e228aa64c6143032d850a4fa

--- Additional comment from Eli Mesika on 2014-03-05 05:17:26 EST ---

moving that to 3.4 urgent  since any installation that have non-empty event_subscriber table (users that had subscribed to any event) will cause the upgrade to fail

Comment 1 Eli Mesika 2014-03-05 10:20:08 UTC
set to 3.4 and mark as blocker and urgent  since any installation that have non-empty event_subscriber table (users that had subscribed to any event) will cause the upgrade to fail

Comment 2 Kiril Nesenko 2014-03-16 19:48:55 UTC
Eli pleae get all acks for the bug.

- Kiril

Comment 3 Tareq Alayan 2014-03-18 09:05:45 UTC
tested on rhevm-3.4.0-0.5.master.el6ev.noarch

upgraded successfully from 3.3.2 to   3.4.0-0.5.master.el6ev

Comment 4 Itamar Heim 2014-06-12 14:07:13 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.